<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerNumPortsRequired](./bitburner.ns.getservernumportsrequired.md)

## NS.getServerNumPortsRequired() method

Returns the number of open ports required to successfully run NUKE.exe on the specified server.

**Signature:**

```typescript
getServerNumPortsRequired(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname/IP of target server. |

**Returns:**

number

The number of open ports required to successfully run NUKE.exe on the specified server.

## Remarks

RAM cost: 0.1 GB

